mate-doc-common(1)

NAME
mate-doc-common - include the standard user documentation build files

SYNOPSIS
mate-doc-common

DESCRIPTION
This script is used by mate-autogen to include the standard user documentation build files in a MATE package.

To automatically include the standard user documentation build files (omf.make and xmldocs.make) in you package, set USE_COMMON_DOC_BUILD=yes in autogen.sh before calling the macros/autogen.sh script.

When porting applications across to use this feature, ensure that all of the references to xmldocs.make are to $(top_srcdir)/xmldocs.make in the appropriate Makefile.am files. Some modules assume that xmldocs.make is in another directory (like docs/ or something).

OPTIONS

--help
    Display the help of the script.

--version
    Show the script version.

--copy
    Copy files instead of make symlinks.

SEE ALSO
mate-autogen(1)

AUTHOR
Perberos <perberos@gmail.com>